Fork me on GitHub

Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 39
Number of dependencies (NOD): 143
Number of unique artifacts (NOA): 166
Number of version-conflicting artifacts (NOC): 9
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 86 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

com.sun.xml.bind:jaxb-impl

[Error]
2.1.13
  1. org.apache.juddi:uddi-client-dist:pom:3.3.6
    \- org.apache.juddi:juddi-gui-war:jar:sources:3.3.6:compile
       \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
          +- org.apache.cxf:cxf-rt-core:jar:2.7.18:compile
          |  \- (com.sun.xml.bind:jaxb-impl:jar:2.1.13:compile - omitted for conflict with 2.1.7)
          \- org.apache.cxf:cxf-rt-bindings-soap:jar:2.7.18:compile
             \- org.apache.cxf:cxf-rt-databinding-jaxb:jar:2.7.18:compile
                \- (com.sun.xml.bind:jaxb-impl:jar:2.1.13:compile - omitted for conflict with 2.1.7)

2.1.7
  1. org.apache.juddi:uddi-client-dist:pom:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       \- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
          \- com.sun.xml.bind:jaxb-impl:jar:2.1.7:compile

commons-codec:commons-codec

[Error]
1.10
  1. org.apache.juddi:juddi-core-openjpa:bundle:3.3.6
    \- org.apache.juddi:juddi-client:jar:3.3.6:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.2:compile
          \- (commons-codec:commons-codec:jar:1.10:compile - version managed from 1.9; omitted for conflict with 1.3)

1.3
  1. org.apache.juddi:juddi-core-openjpa:bundle:3.3.6
    \- commons-codec:commons-codec:jar:1.3:compile

commons-lang:commons-lang

[Error]
2.4
  1. org.apache.juddi.example:uddi-annotations:war:3.3.6
    \- org.apache.juddi:juddi-core-openjpa:jar:3.3.6:compile
       \- org.apache.openjpa:openjpa:jar:2.3.0:compile
          \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.6)

  2. org.apache.juddi:juddi-core-openjpa:bundle:3.3.6
    \- org.apache.openjpa:openjpa:jar:2.3.0:compile
       \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.6)

  3. org.apache.juddi:juddi-dist:pom:3.3.6
    \- org.apache.juddi:juddiv3-war:jar:sources:3.3.6:compile
       \- org.apache.juddi:juddi-core-openjpa:jar:3.3.6:compile
          \- org.apache.openjpa:openjpa:jar:2.3.0:compile
             \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.6)

  4. org.apache.juddi:juddiv3-war-repl:war:3.3.6
    \- org.apache.juddi:juddi-core-openjpa:jar:3.3.6:compile
       \- org.apache.openjpa:openjpa:jar:2.3.0:compile
          \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.6)

  5. org.apache.juddi:juddiv3-war:war:3.3.6
    \- org.apache.juddi:juddi-core-openjpa:jar:3.3.6:compile
       \- org.apache.openjpa:openjpa:jar:2.3.0:compile
          \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.6)

2.6
  1. org.apache.juddi.example:uddi-annotations:war:3.3.6
    \- org.apache.juddi:juddi-core-openjpa:jar:3.3.6:compile
       \- commons-configuration:commons-configuration:jar:1.10:compile
          \- commons-lang:commons-lang:jar:2.6:compile

  2. org.apache.juddi:juddi-core-openjpa:bundle:3.3.6
    \- commons-configuration:commons-configuration:jar:1.10:compile
       \- commons-lang:commons-lang:jar:2.6:compile

  3. org.apache.juddi:juddi-dist:pom:3.3.6
    \- org.apache.juddi:juddi-client:jar:3.3.6:compile
       \- commons-configuration:commons-configuration:jar:1.10:compile
          \- commons-lang:commons-lang:jar:2.6:compile

  4. org.apache.juddi:juddiv3-war-repl:war:3.3.6
    \- commons-configuration:commons-configuration:jar:1.10:compile
       \- commons-lang:commons-lang:jar:2.6:compile

  5. org.apache.juddi:juddiv3-war:war:3.3.6
    \- commons-configuration:commons-configuration:jar:1.10:compile
       \- commons-lang:commons-lang:jar:2.6:compile

javax.activation:activation

[Error]
1.1
  1. org.apache.juddi:uddi-client-dist:pom:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       +- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
       |  +- javax.xml.ws:jaxws-api:jar:2.1:compile
       |  |  +- javax.xml.bind:jaxb-api:jar:2.1:compile
       |  |  |  \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       |  |  \- javax.xml.soap:saaj-api:jar:1.3:compile
       |  |     \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       |  +- com.sun.xml.stream.buffer:streambuffer:jar:0.7:compile
       |  |  \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       |  \- org.jvnet.staxex:stax-ex:jar:1.2:compile
       |     \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       \- javax.mail:mail:jar:1.4.7:compile
          \- javax.activation:activation:jar:1.1:compile

  2. org.apache.juddi:uddi-tck-runner:bundle:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       +- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
       |  +- javax.xml.ws:jaxws-api:jar:2.1:compile
       |  |  +- javax.xml.bind:jaxb-api:jar:2.1:compile
       |  |  |  \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       |  |  \- javax.xml.soap:saaj-api:jar:1.3:compile
       |  |     \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       |  +- com.sun.xml.stream.buffer:streambuffer:jar:0.7:compile
       |  |  \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       |  \- org.jvnet.staxex:stax-ex:jar:1.2:compile
       |     \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
       \- javax.mail:mail:jar:1.4.7:compile
          \- javax.activation:activation:jar:1.1:compile

  3. org.apache.juddi:uddi-tck:jar:3.3.6
    +- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
    |  +- javax.xml.ws:jaxws-api:jar:2.1:compile
    |  |  +- javax.xml.bind:jaxb-api:jar:2.1:compile
    |  |  |  \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
    |  |  \- javax.xml.soap:saaj-api:jar:1.3:compile
    |  |     \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
    |  +- com.sun.xml.stream.buffer:streambuffer:jar:0.7:compile
    |  |  \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
    |  \- org.jvnet.staxex:stax-ex:jar:1.2:compile
    |     \- (javax.activation:activation:jar:1.1:compile - omitted for duplicate)
    \- javax.mail:mail:jar:1.4.7:compile
       \- javax.activation:activation:jar:1.1:compile

1.1.1
  1. org.apache.juddi:uddi-client-dist:pom:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       \- org.apache.commons:commons-email:jar:1.3.2:compile
          \- (javax.activation:activation:jar:1.1.1:compile - omitted for conflict with 1.1)

  2. org.apache.juddi:uddi-tck-runner:bundle:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       \- org.apache.commons:commons-email:jar:1.3.2:compile
          \- (javax.activation:activation:jar:1.1.1:compile - omitted for conflict with 1.1)

  3. org.apache.juddi:uddi-tck:jar:3.3.6
    \- org.apache.commons:commons-email:jar:1.3.2:compile
       \- (javax.activation:activation:jar:1.1.1:compile - omitted for conflict with 1.1)

javax.xml.stream:stax-api

[Error]
1.0
  1. org.apache.juddi:uddi-client-dist:pom:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       \- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
          +- com.sun.xml.stream:sjsxp:jar:1.0.1:compile
          |  \- javax.xml.stream:stax-api:jar:1.0:compile
          \- org.jvnet.staxex:stax-ex:jar:1.2:compile
             \- (javax.xml.stream:stax-api:jar:1.0:compile - omitted for duplicate)

  2. org.apache.juddi:uddi-tck-runner:bundle:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       \- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
          +- com.sun.xml.stream:sjsxp:jar:1.0.1:compile
          |  \- javax.xml.stream:stax-api:jar:1.0:compile
          \- org.jvnet.staxex:stax-ex:jar:1.2:compile
             \- (javax.xml.stream:stax-api:jar:1.0:compile - omitted for duplicate)

  3. org.apache.juddi:uddi-tck:jar:3.3.6
    \- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
       +- com.sun.xml.stream:sjsxp:jar:1.0.1:compile
       |  \- javax.xml.stream:stax-api:jar:1.0:compile
       \- org.jvnet.staxex:stax-ex:jar:1.2:compile
          \- (javax.xml.stream:stax-api:jar:1.0:compile - omitted for duplicate)

1.0-2
  1. org.apache.juddi:uddi-client-dist:pom:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       \- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
          \- javax.xml.ws:jaxws-api:jar:2.1:compile
             \- javax.xml.bind:jaxb-api:jar:2.1:compile
                \- (javax.xml.stream:stax-api:jar:1.0-2:compile - omitted for conflict with 1.0)

  2. org.apache.juddi:uddi-tck-runner:bundle:3.3.6
    \- org.apache.juddi:uddi-tck:jar:3.3.6:compile
       \- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
          \- javax.xml.ws:jaxws-api:jar:2.1:compile
             \- javax.xml.bind:jaxb-api:jar:2.1:compile
                \- (javax.xml.stream:stax-api:jar:1.0-2:compile - omitted for conflict with 1.0)

  3. org.apache.juddi:uddi-tck:jar:3.3.6
    \- com.sun.xml.ws:jaxws-rt:jar:2.1.4:compile
       \- javax.xml.ws:jaxws-api:jar:2.1:compile
          \- javax.xml.bind:jaxb-api:jar:2.1:compile
             \- (javax.xml.stream:stax-api:jar:1.0-2:compile - omitted for conflict with 1.0)

org.hibernate:hibernate-core

[Error]
4.3.6.Final
  1. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    \- org.hibernate:hibernate-core:jar:4.3.6.Final:compile

5.1.10.Final
  1. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    +- org.apache.juddi:juddi-core:jar:3.3.6:provided
    |  \- (org.hibernate:hibernate-core:jar:5.1.10.Final:provided - omitted for conflict with 4.3.6.Final)
    \- org.hibernate:hibernate-entitymanager:jar:4.3.6.Final:compile
       \- (org.hibernate:hibernate-core:jar:5.1.10.Final:compile - version managed from 4.3.6.Final; omitted for conflict with 4.3.6.Final)

org.hibernate:hibernate-entitymanager

[Error]
4.3.6.Final
  1. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    \- org.hibernate:hibernate-entitymanager:jar:4.3.6.Final:compile

5.1.10.Final
  1. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    \- org.apache.juddi:juddi-core:jar:3.3.6:provided
       \- (org.hibernate:hibernate-entitymanager:jar:5.1.10.Final:provided - omitted for conflict with 4.3.6.Final)

org.slf4j:slf4j-api

[Error]
1.6.4
  1. org.apache.juddi.example:subscription-notification-amqp:jar:3.3.6
    \- org.apache.qpid:qpid-client:jar:0.24:compile
       \- org.apache.qpid:qpid-common:jar:0.24:compile
          \- org.slf4j:slf4j-api:jar:1.6.4:compile

1.7.7
  1. org.apache.juddi.example:subscription-notification-amqp:jar:3.3.6
    \- org.apache.juddi:juddi-core:jar:3.3.6:provided
       \- org.audit4j:audit4j-core:jar:2.2.0:provided
          \- org.projectreactor:reactor-core:jar:1.1.5.RELEASE:provided
             \- (org.slf4j:slf4j-api:jar:1.7.7:provided - omitted for conflict with 1.6.4)

  2. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    \- org.apache.juddi:juddi-core:jar:3.3.6:provided
       \- org.audit4j:audit4j-core:jar:2.2.0:provided
          \- org.projectreactor:reactor-core:jar:1.1.5.RELEASE:provided
             \- (org.slf4j:slf4j-api:jar:1.7.7:provided - omitted for conflict with 1.7.9)

1.7.9
  1. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    \- org.apache.cxf:cxf-bundle-jaxrs:jar:2.7.18:provided
       \- org.slf4j:slf4j-api:jar:1.7.9:provided

wsdl4j:wsdl4j

[Error]
1.6.2
  1. org.apache.juddi.example:uddi-annotations:war:3.3.6
    \- org.apache.juddi:juddi-client:jar:3.3.6:compile
       \- wsdl4j:wsdl4j:jar:1.6.2:compile

  2. org.apache.juddi.example:wsdl2uddi-lifecycle:war:3.3.6
    \- org.apache.juddi:juddi-client:jar:3.3.6:compile
       \- wsdl4j:wsdl4j:jar:1.6.2:compile

  3. org.apache.juddi:juddi-dist:pom:3.3.6
    +- org.apache.juddi:juddi-client:jar:3.3.6:compile
    |  \- wsdl4j:wsdl4j:jar:1.6.2:compile
    +- org.apache.juddi:juddi-client:jar:sources:3.3.6:compile
    |  \- (wsdl4j:wsdl4j:jar:1.6.2:compile - omitted for duplicate)
    \- org.apache.juddi:juddi-client:jar:javadoc:3.3.6:compile
       \- (wsdl4j:wsdl4j:jar:1.6.2:compile - omitted for duplicate)

  4. org.apache.juddi:juddi-gui-war:war:3.3.6
    \- org.apache.juddi:juddi-client:jar:3.3.6:compile
       \- wsdl4j:wsdl4j:jar:1.6.2:compile

  5. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    \- org.apache.juddi:juddi-client:jar:3.3.6:compile
       \- wsdl4j:wsdl4j:jar:1.6.2:compile

  6. org.apache.juddi:juddiv3-war-repl:war:3.3.6
    \- org.apache.juddi:juddi-core-openjpa:jar:3.3.6:compile
       \- org.apache.juddi:juddi-client:jar:3.3.6:compile
          \- wsdl4j:wsdl4j:jar:1.6.2:compile

  7. org.apache.juddi:juddiv3-war:war:3.3.6
    \- org.apache.juddi:juddi-core-openjpa:jar:3.3.6:compile
       \- org.apache.juddi:juddi-client:jar:3.3.6:compile
          \- wsdl4j:wsdl4j:jar:1.6.2:compile

  8. org.apache.juddi:uddi-client-dist:pom:3.3.6
    +- org.apache.juddi:juddi-client:jar:3.3.6:compile
    |  \- wsdl4j:wsdl4j:jar:1.6.2:compile
    +- org.apache.juddi:juddi-client:jar:sources:3.3.6:compile
    |  \- (wsdl4j:wsdl4j:jar:1.6.2:compile - omitted for duplicate)
    \- org.apache.juddi:juddi-client:jar:javadoc:3.3.6:compile
       \- (wsdl4j:wsdl4j:jar:1.6.2:compile - omitted for duplicate)

1.6.3
  1. org.apache.juddi.example:uddi-annotations:war:3.3.6
    \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
       \- org.apache.cxf:cxf-api:jar:2.7.18:compile
          \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)

  2. org.apache.juddi.example:wsdl2uddi-lifecycle:war:3.3.6
    \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
       \- org.apache.cxf:cxf-api:jar:2.7.18:compile
          \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)

  3. org.apache.juddi:juddi-dist:pom:3.3.6
    \- org.apache.juddi:juddiv3-war:jar:sources:3.3.6:compile
       \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
          \- org.apache.cxf:cxf-api:jar:2.7.18:compile
             \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)

  4. org.apache.juddi:juddi-gui-war:war:3.3.6
    \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
       \- org.apache.cxf:cxf-api:jar:2.7.18:compile
          \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)

  5. org.apache.juddi:juddi-rest-cxf:jar:3.3.6
    +- org.apache.cxf:cxf-bundle-jaxrs:jar:2.7.18:provided
    |  \- (wsdl4j:wsdl4j:jar:1.6.3:provided - omitted for conflict with 1.6.2)
    \- org.apache.cxf:cxf-rt-rs-extension-providers:jar:2.7.18:compile
       \- org.apache.cxf:cxf-api:jar:2.7.18:compile
          \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)

  6. org.apache.juddi:juddiv3-war-repl:war:3.3.6
    \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
       \- org.apache.cxf:cxf-api:jar:2.7.18:compile
          \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)

  7. org.apache.juddi:juddiv3-war:war:3.3.6
    \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
       \- org.apache.cxf:cxf-api:jar:2.7.18:compile
          \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)

  8. org.apache.juddi:uddi-client-dist:pom:3.3.6
    \- org.apache.juddi:juddi-gui-war:jar:sources:3.3.6:compile
       \- org.apache.cxf:cxf-rt-frontend-jaxws:jar:2.7.18:compile
          \- org.apache.cxf:cxf-api:jar:2.7.18:compile
             \- (wsdl4j:wsdl4j:jar:1.6.3:compile - omitted for conflict with 1.6.2)